返回列表 发帖

[原创] linux2.6.10内核编译报语法错误?

[原创] linux2.6.10内核编译报语法错误?

编译时报错,如图
errr1.png
2017-5-19 13:37




找到报错的文件,内容为:
errr2.png
2017-5-19 13:39



源代码不应该有问题,怀疑是交叉编译链构建问题。
系统:centos6.5
gcc版本:3.3.6
Linux 内核版本:2.6.10

gcc版本

gccinfo.png
2017-5-19 13:42



交叉编译链使用crosstool构建,系统原来的gcc版本太高不能识别,卸载了之后手动安装的3.3.6版本。怎么解决这个问题呢?

TOP

返回列表

站长推荐 关闭


欢迎访问 TI SLL(信号链)专区

欢迎访问 TI SLL(信号链)专区


查看